package cn.yw.machinemanage.bean;

import cn.base.bean.BaseBean;
//[运维服务器当前状态表]

public class YwmachinecurrentstateBean extends BaseBean implements java.io.Serializable {
	private String currentstateid;//[当前状态id]
	private String machineid;//[机器id]
	private String machinenum;//[机器编号]
	private String machinename;//[机器名称]
	private String machineip;//[机器ip]
	private int currentstate;//[当前状态]
	private int repairstate;//[维修状态]
	private String currentstatetime;//[当前状态检测时间]
	private int machinestate;//[主机状态]
	private int cpustatus;//[CPU状态]
	private String cpuusage;//[CPU使用率]
	private int memorystate;//[内存状态]
	private String memorytotal;//[内存总容量(G)]
	private String memoryusage;//[内存使用率]
	private int harddiskstate;//[硬盘状态]
	private String harddisktotal;//[硬盘总容量(G)]
	private String harddiskusage;//[硬盘使用率]
	private String statusupbatch;//[上报批次]
	private String createaccount;//[创建人员]
	private String createtime;//[创建日期]
	private String modifyaccount;//[修改人员]
	private String modifytime;//[修改日期]
	private String remarks;//[备注]
	private String extend1;//[扩展1]
	private String extend2;//[扩展2]
	private String extend3;//[扩展3]
	private String extend4;//[扩展4]
	public void setCurrentstateid(String currentstateid){
		this.currentstateid = currentstateid;
	}
	public String getCurrentstateid(){
		return currentstateid;
	}
	public void setMachineid(String machineid){
		this.machineid = machineid;
	}
	public String getMachineid(){
		return machineid;
	}
	public void setMachinenum(String machinenum){
		this.machinenum = machinenum;
	}
	public String getMachinenum(){
		return machinenum;
	}
	public void setMachinename(String machinename){
		this.machinename = machinename;
	}
	public String getMachinename(){
		return machinename;
	}
	public void setMachineip(String machineip){
		this.machineip = machineip;
	}
	public String getMachineip(){
		return machineip;
	}
	public void setCurrentstate(int currentstate){
		this.currentstate = currentstate;
	}
	public int getCurrentstate(){
		return currentstate;
	}
	public void setRepairstate(int repairstate){
		this.repairstate = repairstate;
	}
	public int getRepairstate(){
		return repairstate;
	}
	public void setCurrentstatetime(String currentstatetime){
		this.currentstatetime = currentstatetime;
	}
	public String getCurrentstatetime(){
		return currentstatetime;
	}
	public void setMachinestate(int machinestate){
		this.machinestate = machinestate;
	}
	public int getMachinestate(){
		return machinestate;
	}
	public void setCpustatus(int cpustatus){
		this.cpustatus = cpustatus;
	}
	public int getCpustatus(){
		return cpustatus;
	}
	public void setCpuusage(String cpuusage){
		this.cpuusage = cpuusage;
	}
	public String getCpuusage(){
		return cpuusage;
	}
	public void setMemorystate(int memorystate){
		this.memorystate = memorystate;
	}
	public int getMemorystate(){
		return memorystate;
	}
	public void setMemorytotal(String memorytotal){
		this.memorytotal = memorytotal;
	}
	public String getMemorytotal(){
		return memorytotal;
	}
	public void setMemoryusage(String memoryusage){
		this.memoryusage = memoryusage;
	}
	public String getMemoryusage(){
		return memoryusage;
	}
	public void setHarddiskstate(int harddiskstate){
		this.harddiskstate = harddiskstate;
	}
	public int getHarddiskstate(){
		return harddiskstate;
	}
	public void setHarddisktotal(String harddisktotal){
		this.harddisktotal = harddisktotal;
	}
	public String getHarddisktotal(){
		return harddisktotal;
	}
	public void setHarddiskusage(String harddiskusage){
		this.harddiskusage = harddiskusage;
	}
	public String getHarddiskusage(){
		return harddiskusage;
	}
	public void setStatusupbatch(String statusupbatch){
		this.statusupbatch = statusupbatch;
	}
	public String getStatusupbatch(){
		return statusupbatch;
	}
	public void setCreateaccount(String createaccount){
		this.createaccount = createaccount;
	}
	public String getCreateaccount(){
		return createaccount;
	}
	public void setCreatetime(String createtime){
		this.createtime = createtime;
	}
	public String getCreatetime(){
		return createtime;
	}
	public void setModifyaccount(String modifyaccount){
		this.modifyaccount = modifyaccount;
	}
	public String getModifyaccount(){
		return modifyaccount;
	}
	public void setModifytime(String modifytime){
		this.modifytime = modifytime;
	}
	public String getModifytime(){
		return modifytime;
	}
	public void setRemarks(String remarks){
		this.remarks = remarks;
	}
	public String getRemarks(){
		return remarks;
	}
	public void setExtend1(String extend1){
		this.extend1 = extend1;
	}
	public String getExtend1(){
		return extend1;
	}
	public void setExtend2(String extend2){
		this.extend2 = extend2;
	}
	public String getExtend2(){
		return extend2;
	}
	public void setExtend3(String extend3){
		this.extend3 = extend3;
	}
	public String getExtend3(){
		return extend3;
	}
	public void setExtend4(String extend4){
		this.extend4 = extend4;
	}
	public String getExtend4(){
		return extend4;
	}
}